Calendar Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
The Zoom Calendar webhooks allow developers to receive events for Zoom Calendar features.
Servers
- URL:
https://{your-endpoint-url}
Operations
calendar.event_delete
- Method:
POST - Path:
calendar.event_delete - Tags: webhooks
The Event delete event triggers every time you remove an event in your calendar.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Event delete subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the event.objectobject— The information of the event.event_idstring— The event ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"event_id": "y95rj3e0i54dbz8hstc2q5qoa1"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.acl_delete
- Method:
POST - Path:
calendar.acl_delete - Tags: webhooks
The ACL delete event triggers every time you delete an ACL.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The ACL Delete subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the ACL.objectobject— The information of the ACL.acl_idstring— The ACL ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"acl_id": "user:def@zoom.com"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.acl_create
- Method:
POST - Path:
calendar.acl_create - Tags: webhooks
The ACL create event triggers every time you create an ACL.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The ACL Create subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the ACL.objectobject— The Information of the ACL.acl_idstring— The ACL ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"acl_id": "user:def@zoom.com"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.event_create
- Method:
POST - Path:
calendar.event_create - Tags: webhooks
The Event create event triggers every time you create an event in your calendar.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Event Create subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the event.objectobject— The information of the event.event_idstring— The event ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"event_id": "y95rj3e0i54dbz8hstc2q5qoa1"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.setting_create
- Method:
POST - Path:
calendar.setting_create - Tags: webhooks
The Setting create event triggers every time you create a setting of your calendar.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Setting create subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the setting.objectobject— The information of the event.resource_idstring— The resource ID.setting_idstring— The setting ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"setting_id": "timezone"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.setting_update
- Method:
POST - Path:
calendar.setting_update - Tags: webhooks
The Setting update event triggers every time you update a setting of your calendar.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Setting update subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the setting.objectobject— The information of the event.resource_idstring— The resource ID.setting_idstring— The setting ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"setting_id": "timezone"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.calendarlist_update
- Method:
POST - Path:
calendar.calendarlist_update - Tags: webhooks
The Calendar list update event triggers every time you update a calendar in your calendar list.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Calendar list update subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of a user's calendar where the user can add or remove other calendars for event viewing.objectobject— The information of the calendar list.resource_idstring— The resource ID.subscribed_calendar_idstring— The calendar ID that the user subscribes to.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"subscribed_calendar_id": "def@zoom.com"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.acl_update
- Method:
POST - Path:
calendar.acl_update - Tags: webhooks
The ACL update event triggers every time you update an ACL.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The ACL Update subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the ACL.objectobject— The Information of the ACL.acl_idstring— The ACL ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"acl_id": "user:def@zoom.com"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.event_update
- Method:
POST - Path:
calendar.event_update - Tags: webhooks
The Event update event triggers every time you update an event in your calendar.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Event update subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— the account ID of the user's calendar that has the event.objectobject— The information of the event.event_idstring— The event ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"event_id": "y95rj3e0i54dbz8hstc2q5qoa1"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.calendarlist_create
- Method:
POST - Path:
calendar.calendarlist_create - Tags: webhooks
The Calendar list create event triggers every time you add a calendar to your calendarlist.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event notification endpoint URL.
- The Calendar list create subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of a user's calendar where the user can add or remove other calendars for event viewing.objectobject— The information of the calendar list.resource_idstring— The resource ID.subscribed_calendar_idstring— The calendar ID that the user subscribes to.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"subscribed_calendar_id": "def@zoom.com"
}
}
}Responses
Status: 200 Successfully received the webhook event.
calendar.calendarlist_delete
- Method:
POST - Path:
calendar.calendarlist_delete - Tags: webhooks
The Calendar list delete event triggers every time you remove a calendar from your calendar list.
Prerequisites
Enable Event subscriptions for your Marketplace app with the following configurations:
- A valid Event otification endpoint URL.
- The Calendar list delete subscription enabled under the Zoom Calendar event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of a user's calendar where the user can add or remove other calendars for event viewingobjectobject— The information of the calendar list.resource_idstring— The resource ID.subscribed_calendar_idstring— The calendar ID of which the user subscribes.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"subscribed_calendar_id": "def@zoom.com"
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Calendar.event_deleteEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the event.objectobject— The information of the event.event_idstring— The event ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"event_id": "y95rj3e0i54dbz8hstc2q5qoa1"
}
}
}Calendar.acl_deleteEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the ACL.objectobject— The information of the ACL.acl_idstring— The ACL ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"acl_id": "user:def@zoom.com"
}
}
}Calendar.acl_createEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the ACL.objectobject— The Information of the ACL.acl_idstring— The ACL ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"acl_id": "user:def@zoom.com"
}
}
}Calendar.event_createEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the event.objectobject— The information of the event.event_idstring— The event ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"event_id": "y95rj3e0i54dbz8hstc2q5qoa1"
}
}
}Calendar.setting_createEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the setting.objectobject— The information of the event.resource_idstring— The resource ID.setting_idstring— The setting ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"setting_id": "timezone"
}
}
}Calendar.setting_updateEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the setting.objectobject— The information of the event.resource_idstring— The resource ID.setting_idstring— The setting ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"setting_id": "timezone"
}
}
}Calendar.calendarlist_updateEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of a user's calendar where the user can add or remove other calendars for event viewing.objectobject— The information of the calendar list.resource_idstring— The resource ID.subscribed_calendar_idstring— The calendar ID that the user subscribes to.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"subscribed_calendar_id": "def@zoom.com"
}
}
}Calendar.acl_updateEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of the user's calendar that has the ACL.objectobject— The Information of the ACL.acl_idstring— The ACL ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"acl_id": "user:def@zoom.com"
}
}
}Calendar.event_updateEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— the account ID of the user's calendar that has the event.objectobject— The information of the event.event_idstring— The event ID.resource_idstring— The resource ID.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"event_id": "y95rj3e0i54dbz8hstc2q5qoa1"
}
}
}Calendar.calendarlist_createEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of a user's calendar where the user can add or remove other calendars for event viewing.objectobject— The information of the calendar list.resource_idstring— The resource ID.subscribed_calendar_idstring— The calendar ID that the user subscribes to.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"subscribed_calendar_id": "def@zoom.com"
}
}
}Calendar.calendarlist_deleteEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_idstring— The account ID of a user's calendar where the user can add or remove other calendars for event viewingobjectobject— The information of the calendar list.resource_idstring— The resource ID.subscribed_calendar_idstring— The calendar ID of which the user subscribes.
operatorstring— This field indicates who performed the action.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "abc@zoom.com",
"object": {
"resource_id": "abc@zoom.com",
"subscribed_calendar_id": "def@zoom.com"
}
}
}